Subject: Colibri PXA320 Power management question

From: [email-masked] (Mark Brown)
Date: Thu, 2 Sep 2010 16:27:05 +0100

On Thu, Sep 02, 2010 at 05:41:57PM +0300, Mike Rapoport wrote:
> Mark Brown wrote:

> >The expectation in Linux is that voltage scaling will be done in
> >software using cpufreq rather than autonomously by the CPU.

> PXA3xx has ability to automatically control certain regulators
> (almost) without software intervention. Setting the bits Yuri is
> talking about should enable CPU initiated i2c transactions upon
> frequency scaling events.

Yes, exactly - what I'm saying is that Linux is set up to use cpufreq
rather than rely on the built in stuff.